## org.irisa.genouest.logol
Class Expression

    java.lang.Object
      org.irisa.genouest.logol.Expression

    public class Expression

extends java.lang.Object

Expression class is used to manage logol expression using variables and integer combinations.
It can be made of:

- an interger: 3
- a variable reference: #SX1
- a combination of both: #SX1 + 3
In case of combination, variable must always be set first

Author:
  osallou

Field Summary
`java.lang.String` `expression`
`java.lang.String` `variable`

Constructor Summary
`Expression()` Default expression creation.
`Expression(boolean spacer)` Defines a new expression.
`Expression(java.lang.String expr, java.lang.String var)`

Method Summary
`Expression` `getExpressionData(java.lang.String value)` Analyse an expression, and map it in a prolog query and a variable referencing the result

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### expression

    public java.lang.String expression

### variable

    public java.lang.String variable

Constructor Detail

### Expression

    public Expression()

  Default expression creation. Uses variable settings, not spacer ones.

### Expression

    public Expression(boolean spacer)

  Defines a new expression.

  Parameters:
    `spacer` - Set if expression refer to a spacer or a variable for defaults settings.

### Expression

    public Expression(java.lang.String expr,
                      java.lang.String var)

Method Detail

### getExpressionData

    public Expression getExpressionData(java.lang.String value)
                                 throws GrammarException

  Analyse an expression, and map it in a prolog query and a variable referencing the result

  Parameters:
    `value` - the expression to analyse
  Returns:
    an expression with resulting prolog
  Throws:
    `GrammarException`